/*
    DB Port
    Copyright (C) 2010 Daniel Mewes
*/

package dbport;

class RestartPage extends HtmlPage {
    public static String getContent(DbEnvironment environment) {
        StringBuffer result = new StringBuffer();
        
        result.append(getHtmlHead());
        
        result.append("<h1>Restarting</h1>");
        
        System.err.print("Restarting database ");
        System.err.flush();
        environment.database.shutdownSystem();
        environment.database.startSystem();
        System.err.println("done");
        System.err.flush();
        
        result.append(getHtmlTail());
        
        return result.toString();
    }
}
