/*
    DB Port
    Copyright (C) 2010 Daniel Mewes
*/

package dbport;

class StartPage extends HtmlPage {
    public static String getContent(DbEnvironment environment) {
        StringBuffer result = new StringBuffer();
        
        result.append(getHtmlHead());
        
        result.append("<h1>DB Port</h1>");
        
        result.append("<h2>Data access</h2>");
        result.append("<a href=\"queryData\"><b>Query database</b></a><br>");
        result.append("<a href=\"insertData\"><b>Insert row</b></a><br>");
        
        result.append("<h2>Database management</h2>");
        result.append("<a href=\"listTables\"><b>List tables</b></a><br>");
        result.append("<a href=\"createTable\"><b>Create table</b></a><br>");
        result.append("<a href=\"dropTable\"><b>Drop table</b></a><br>");
        result.append("<a href=\"describeIndexes\"><b>Describe Indexes</b></a><br>");
        result.append("<a href=\"createIndex\"><b>Create index</b></a><br>");
        result.append("<a href=\"dropIndex\"><b>Drop index</b></a><br>");
        
        result.append("<h2>Database control</h2>");
        result.append("<a href=\"restart\"><b>Restart</b></a><br>");
        result.append("<a href=\"shutdown\"><b>Shutdown</b></a><br>");
        result.append("<a href=\"kill\"><b>Kill</b></a><br>");
        
        result.append(getHtmlTail());
        
        return result.toString();
    }
}
